PHP 5.5.16 is released

Listado de opciones de configuración del núcleo

A continuación se muestra una lista de parte de las opciones de configuración usadas por el script configure de PHP cuando se compila en sistemas tipo UNIX. La mayoría de las opciones de configuración para extensiones están listadas en su ubicación apropiada en las páginas de referencia de cada extensión y no aquí. Para una lista actualizada de las opciones de configuración, ejecute ./configure --help en el directorio origen de PHP después de ejecutar autoconf (vea también el Capítulo de Instalación). También puede interesarle leer la documentación » GNU configure para mayor información en otras opciones de configure tales como --prefix=PREFIX.

Nota:

Estas opciones se utilizan únicamente en tiempo de compilación. Si desea alterar la configuración en tiempo de ejecución de PHP, por favor vea el capítulo sobre Configuración en tiempo de ejecución.

Opciones de configuración en PHP 4

Nota:

Estas opciones son sólo usadas en PHP, tal como PHP 4.1.0. Algunas también están disponibles en versiones anteriores. Si quiere compilar una versión anterior, muy probablemente algunas opciones no estarán disponibles.

Opciones Misceláneas

--enable-debug

Compilar con símbolos de rastreo de errores (debugging).

--with-layout=TYPE

Establece como los ficheros instalados serán presentados. El tipo uno es de PHP (valor por defecto) o GNU.

--with-pear=DIR

Instala PEAR en DIR (valor por defecto PREFIX/lib/php).

--without-pear

No instala PEAR.

--enable-sigchild

Establece el propio manejador SIGCHLD de PHP.

--disable-rpath

Deshabilita pasar trayectorias de búsqueda de librerias de tiempo de ejecución adicionales.

--enable-libgcc

Habilita explícitamente el ligado con libgcc.

--enable-php-streams

Incluye streams PHP experimentales. ¡No se use a menos que este probando el código!.

--with-zlib-dir[=DIR]

Defina la localización del directorio de instalación de zlib.

--enable-trans-sid

Habilita la propagación transparente del ID de sesión. Válido sólo para PHP 4.1.2 or inferior. A partir de PHP 4.2.0, la característica trans-id está siempre disponible.

--with-tsrm-pthreads

Usa threads de POSIX (valor por defecto).

--enable-shared[=PKGS]

Construye librerías compartidas [default=yes].

--enable-static[=PKGS]

Construye librerias estáticas [default=yes].

--enable-fast-install[=PKGS]

Optimiza para una rápida instalación [default=yes].

--with-gnu-ld

Asume que el compilador de C usa GNU Id [default=no].

--disable-libtool-lock

Evita bloqueos (debe romper compilaciones paralelas).

--with-pic

Intenta usar sólo objetos PIC/non-PIC [default=use both].

--enable-memory-limit

Compila con soporte de limite de memoria.

--disable-url-fopen-wrapper

Deshabilita empaquetador fopen que abre URLs, que permite accesar ficheros vía HTTP o FTP. (No disponible desde PHP 5.2.5)

--enable-versioning

Exporta sólo los símbolos requeridos. Vea INSTALL para más información.

Opciones de PHP

--enable-maintainer-mode

Habilita las reglas y dependencias de Make, que no son útiles (y en ocasiones son confusas) para el usuario habitual.

--with-config-file-path=PATH

Establece la ruta a seguir para php.ini, el valor por defecto es /PREFIX/lib.

--enable-safe-mode

Habilita safe mode por defecto.

Advertencia

Esta característica ha sido declarada OBSOLETA desde PHP 5.3.0 y ELIMINADA a partir de PHP 5.4.0.

--with-exec-dir[=DIR]

Solo permite ejecutables en DIR cuando safe mode está por defecto a /usr/local/php/bin.

Advertencia

Esta característica ha sido declarada OBSOLETA desde PHP 5.3.0 y ELIMINADA a partir de PHP 5.4.0.

--enable-magic-quotes

Habilita magic quotes por defecto.

Advertencia

Esta característica ha sido declarada OBSOLETA desde PHP 5.3.0 y ELIMINADA a partir de PHP 5.4.0.

--disable-short-tags

Deshabilita la forma corta de la etiqueta de inicio php <? por defecto.

--enable-zend-multibyte

Habilita código multibyte en el analizador y el escáner de lenguaje PHP para ser ejecutado. Cuando PHP se compila con esta opción, también habilita la directiva encoding en el constructor declare.

Advertencia

Esta característica ha sido declarada OBSOLETA desde PHP 5.3.0 y ELIMINADA a partir de PHP 5.4.0.

--with-libdir

Especifica el directorio en el que están las librerías para compilar PHP en un sistema Unix. Para sistemas de 64 bits, es necesario especificar este argumento para poder usar el directorio lib64: --with-libdir=lib64.

Opciones SAPI

La siguiente lista contiene los SAPI&s disponibles ( Server Application Programming Interface) para PHP.

--with-aolserver=DIR

Especifica la ruta donde está AOLserver.

--with-apxs[=FILE]

Crea un módulo compartido de Apache. FILE es la ruta opcional de la herramienta Apache apxs, por defecto a apxs. Asegúrese de especificar la versión de apxs que está instalada en su sistema y NO la que está en los fuentes de Apache.

--with-apache[=DIR]

Crea un módulo estático de Apache. DIR es el directorio de Apache, por defecto es /usr/local/apache.

--with-mod_charset

Habilita la tranferencia de tablas para mod_charset (Apache en Ruso).

--with-apxs2[=FILE]

Crea un módulo compartido de Apache 2.0. FILE es la ruta opcional a la herramienta apxs, por defecto a apxs.

--with-caudium=DIR

Crea PHP como un módulo Pike para ser usado con Caudium. DIR es el directorio del servidor Caudium, con el valor por defecto /usr/local/caudium/server.

--disable-cli

Disponible con PHP 4.3.0. Deshabilita la versión CLI de PHP (esto fuerza--without-pear). Para mayor información, vea la sección acerca de Usando PHP desde la línea de comando.

--enable-embed[=TYPE]

Habilita la creación de la librería SAPI. TYPE es shared o static, el valor por defecto es shared. Disponible con PHP 4.3.0.

--with-fhttpd[=DIR]

Crea el módulo fhttpd. DIR es el directorio fuente de fhttpd, que es por defecto /usr/local/src/fhttpd. Ya no está disponible desde PHP 4.3.0.

--with-isapi=DIR

Crea PHP como un módulo ISAPI para ser usado con Zeus.

--with-nsapi=DIR

Especifica la ruta para el servidor web instalado Netscape/iPlanet/SunONE.

--with-phttpd=DIR

No hay información disponible.

--with-pi3web=DIR

Crea PHP como un módulo para ser usado con Pi3Web.

--with-roxen=DIR

Crea PHP como un módulo Pike. DIR es el directorio base de Roxen, normalmente /usr/local/roxen/server.

--enable-roxen-zts

Crea el modulo Roxen usando Zend Thread Safety..

--with-servlet[=DIR]

Incluye soporte para servlet. DIR es el directorio base de instalación de JDSK. Este SAPI requiere que la extensión de java sea creada como un dl compartido.

--with-thttpd=SRCDIR

Crea PHP como un modulo thttpd.

--with-tux=MODULEDIR

Crea PHP como un módulo TUX (solo Linux).

--with-webjames=SRCDIR

Crea PHP como un módulo WebJames (solo RISC OS).

--disable-cgi

Desabilita la creación CGI de PHP. Disponible con PHP 4.3.0.

Desde PHP 5.3.0 este argumento habilita FastCGI mientras que anteriormente se tenía que activar usando --enable-fastcgi.

--enable-force-cgi-redirect

Habilita el chequeo de seguridad para redirecciones internas del servidor. Debe usar esta opción si esta ejecutando la versión CGI con Apache.

Desde PHP 5.3.0 este argumento está habilitado por defecto y ya no existe. Para deshabilitarlo se debe definir la directiva ini cgi.force_redirect a 0.

--enable-discard-path

Si esta opción está habilitada, el binario CGI de PHP puede, de manera segura, ser puesto fuera de la trayectoria web y los usuarios no podrán evitar la seguridad de .htaccess.

Desde PHP 5.3.0 este argumento está deshabilitado por defecto y ya no existe. Para activar esta opción la directiva ini cgi.discard_path debe estar definida como 1.

--with-fastcgi

Crea PHP como una aplicación FastCGI. Ya no está disponibles desde PHP 4.3.0, en lugar de esta debe usar --enable-fastcgi .

--enable-fastcgi

Si esta opción está activada, el modulo CGI será construido también con soporte para FastCGI. Disponible desde PHP 4.3.0

Desde PHP 5.3.0 este argumento ya no existe y debe ser habilitado usando --enable-cgi en su lugar.

--disable-path-info-check

Si esta opción esta deshabilitada, las rutas, tales como /info.php/test?a=b fallarán. Disponible desde PHP 4.3.0. Para mas información vea el » Manual de Apache.

add a note add a note

User Contributed Notes 1 note

up
-7
quantoid
4 years ago
use --enable-soap to use SoapClient/Server classes
To Top